// dlgTest.cpp : implementation file
//

#include "stdafx.h"
#include "control.h"
#include "dlgTest.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CdlgTest dialog


CdlgTest::CdlgTest(CWnd* pParent /*=NULL*/)
	: CDialog(CdlgTest::IDD, pParent)
{
	//{{AFX_DATA_INIT(CdlgTest)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


CdlgTest::~CdlgTest()
{
   if( m_pctrlLBStrikeOutOne ) delete m_pctrlLBStrikeOutOne;
}

void CdlgTest::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CdlgTest)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CdlgTest, CDialog)
	//{{AFX_MSG_MAP(CdlgTest)
	ON_BN_CLICKED(IDC_BUTTON20000, OnButton20000)
	ON_BN_CLICKED(IDC_BUTTON20001, OnButton20001)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CdlgTest message handlers

BOOL CdlgTest::OnInitDialog() 
{
   UINT uCounter;

	CDialog::OnInitDialog();

   CListBox* p = (CListBox*)GetDlgItem( IDC_LISTBOX3000 );

   m_pctrlLBStrikeOutOne = new CctrlLBStrikeOut;
   m_pctrlLBStrikeOutOne->CreateDefaultResource();
   m_pctrlLBStrikeOutOne->SubclassDlgItem( IDC_LISTBOX3000, this );
   m_pctrlLBStrikeOutOne->SetStrikeClue( '~' );

   for( uCounter = 0; uCounter < 4; uCounter++ )
   {
      m_pctrlLBStrikeOutOne->AddString( "~Apple" );
      m_pctrlLBStrikeOutOne->AddString( "Tomato" );
      m_pctrlLBStrikeOutOne->AddString( "Pear" );
   }
   
   m_pctrlLBStrikeOutTwo = new CctrlLBStrikeOut;
   m_pctrlLBStrikeOutTwo->SetColorForItem( RGB( 0, 128, 0 ) );
   m_pctrlLBStrikeOutTwo->SetColorForStrikeItem( RGB( 192, 0, 0 ) );
   m_pctrlLBStrikeOutTwo->SubclassDlgItem( IDC_LISTBOX3001, this );
   m_pctrlLBStrikeOutTwo->SetStrikeFlag();

   for( uCounter = 0; uCounter < 4; uCounter++ )
   {
      m_pctrlLBStrikeOutTwo->AddString( "Apple" );
      m_pctrlLBStrikeOutTwo->AddString( "Tomato" );
      m_pctrlLBStrikeOutTwo->StrikeItem( uCounter * 3 + 1);
      m_pctrlLBStrikeOutTwo->AddString( "Pear" );
   }

   
   return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}




void CdlgTest::OnButton20000() 
{
	if( m_pctrlLBStrikeOutTwo->GetSelectedItem() != LB_ERR )
   {
      m_pctrlLBStrikeOutTwo->StrikeItem( m_pctrlLBStrikeOutTwo->GetSelectedItem() );
   }
}

void CdlgTest::OnButton20001() 
{
	UINT uItemIndex = 0;
   int  iItemStatus;

   do
   {
      iItemStatus = m_pctrlLBStrikeOutOne->IsItemStriked( uItemIndex );

      if( iItemStatus == FALSE )
      {
         m_pctrlLBStrikeOutOne->StrikeItem( uItemIndex );
         break;
      }

      uItemIndex++;

   }while( iItemStatus != LB_ERR );
	
}
