

#include "stdafx.h"

#include "CTRL.h"


/*-------------------------------------------------------------------------------------------------
Name:    pg_RegisterWindow()	 
Type:    function
Purpose: Register a window class
*/
BOOL pg_RegisterWindow( WNDCLASS& wndclassWindow )
{
   ASSERT( wndclassWindow.lpszClassName );
   ASSERT( ::AfxIsValidAddress( wndclassWindow.lpszClassName, sizeof( wndclassWindow.lpszClassName ) ) );
   ASSERT( wndclassWindow.lpfnWndProc );
   ASSERT( wndclassWindow.style & CS_GLOBALCLASS );

   WNDCLASS wndclass;

   if ( ::GetClassInfo( NULL, wndclassWindow.lpszClassName , &wndclass ) ) 
   {
		return TRUE;
   }
   
   
   memcpy( &wndclass, &wndclassWindow, sizeof(WNDCLASS) );

   wndclass.hInstance     = NULL;
   wndclass.lpszMenuName  = NULL;
   wndclass.cbClsExtra    = 0;
   wndclass.cbWndExtra    = 0;

   
   if( wndclass.hbrBackground == 0 ) wndclass.hbrBackground = (HBRUSH)(COLOR_WINDOW + 1);
   if( wndclass.hCursor == 0 )       wndclass.hCursor       = ::LoadCursor( NULL, IDC_ARROW );

	if ( !::AfxRegisterClass(&wndclass) )
   {
		AfxThrowResourceException(); 
   }
   return TRUE;
}


