/*
   FILNAME:       ctrlLBStrikeOut.h

   PURPOSE:       A control that has the ability to disable and draw a line across for items

   CREATED BY:    Per Ghosh
   ENVIRONMENT:	Visual C++


INFO:
*/

#ifndef __CTRLWINDOW_H_
#define __CTRLWINDOW_H_

class CctrlWindow : public CWnd
{
      DECLARE_REGISTER_WINDOW()

// Construction
public:
	CctrlWindow();
	virtual ~CctrlWindow();

// Attributes
public:
   BOOL      m_bLeftButtonDown;
   CPtrArray m_ptrarrayToPoint;

// Operations
public:
	void AddPoint( const POINT* pPoint );
	void Empty();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CctrlWindow)
	//}}AFX_VIRTUAL

// Implementation
public:

	// Generated message map functions
protected:
	//{{AFX_MSG(CctrlWindow)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
